View default source values for a Content Block’s translation tags
/content_blocks/translations/source
Use this endpoint to view all the default translation sources for a Content Block’s translation tags. These are the values within the
{% translation id %} source {% endtranslation %}. See Locales in messages for more information about translation features.
Important:
This endpoint is currently in early access. Contact your Braze account manager if you’re interested in participating in the early access.
Prerequisites
To use this endpoint, you’ll need an API key with the content_blocks.translations.get permission.
Rate limit
This endpoint has a rate limit of 250,000 requests per minute.
Query parameters
| Parameter | Required | Data Type | Description |
|---|---|---|---|
content_block_id |
Required | String | The ID of your Content Block. |
locale_id |
Optional | String | A locale UUID to filter the responses. |
All translation IDs are considered universal unique identifiers (UUIDs), which can be found in the GET endpoint’s response.
Example request
1
2
3
curl --location --request GET 'https://rest.iad-03.braze.com/content_blocks/translations/source?content_block_id={content_block_id}&locale_id={locale_uuid}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'
Response
There are four status code responses for this endpoint: 200, 400, 404, and 429.
Example success response
The status code 200 could return the following response header and body.
1
2
3
4
5
6
7
8
9
{
"translations": {
"translation_map": {
"id_0": "Welcome!",
"id_1": "Thank you for joining our program"
}
},
"message": "success"
}
Example error response
The status code 400 could return the following response body. Refer to Troubleshooting for more information about errors you may encounter.
1
2
3
4
5
6
7
{
"errors": [
{
"message": "This message does not support multi-language."
}
]
}
Edit this page on GitHub